Bug Hunting Session
Bug 58237 - FILEOPEN: hyperlinks for shapes not imported ( xlsx )
Summary: FILEOPEN: hyperlinks for shapes not imported ( xlsx )
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Noel Power
URL:
Whiteboard: target:4.1.0 target:4.0.0.0.beta0 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-13 10:38 UTC by Noel Power
Modified: 2013-11-16 19:42 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
simple test document (8.64 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-12-13 10:38 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2012-12-13 10:38:09 UTC
Created attachment 71438 [details]
simple test document

hyperlinks attached to shapes not imported for xlsx documents, will attach simple testdocument. Open attached doc, clicking on shape should result on selected cell changing, but.. because no hyperlink attached to the shape we just get the marks selected for the shape in design mode
Comment 1 Noel Power 2012-12-13 10:38:34 UTC
taking it myself
Comment 2 Not Assigned 2012-12-13 16:58:59 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2551fec6d2a73d10cfa2aec85ae7d00e237e0294

fix fdo#58237 import hyperlinks for shapes in xlsx documents



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-12-13 17:09:50 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=45b448b202b87ef66812d25c69e308f405ac221e

Revert "fix fdo#58237 import hyperlinks for shapes in xlsx documents"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-12-13 17:37:38 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5deba0e70c9287e6e933df458c21cc3e72f3aa70

fix fdo#58237 import hyperlinks for shapes in xlsx documents



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-13 18:18:50 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=691f7a1554cee0863258f2bfbfb3ab656ead57a1&g=libreoffice-4-0

fix fdo#58237 import hyperlinks for shapes in xlsx documents


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-12-17 14:41:39 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b0591e934540db3bb31342ccc7849ed49338a96

Resolves: fdo#58237 set listbox to be expandable



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-12-17 14:47:40 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=678e81636f2d12fdc4b3240d631a2ad955011cb4&g=libreoffice-4-0

Resolves: fdo#58237 set listbox to be expandable


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-12-18 05:07:13 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f576bac2267bb143058a343255ab2ad47869847&g=libreoffice-3-6

fix fdo#58237 import hyperlinks for shapes in xlsx documents


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.